<app-navigation></app-navigation>
<div class="home-container">
  <div class="search-container">
    <form>
      <mat-form-field appearance="fill">
        <mat-label>Location</mat-label>
        <input type="text"
               aria-label="Location"
               matInput
               [formControl]="selectedCity"
               [matAutocomplete]="auto">
        <mat-error *ngIf="selectedCity.dirty && selectedCity.errors?.pattern">
          Search value must contain only English letters!
        </mat-error>
        <mat-autocomplete #auto="matAutocomplete">
          <mat-option *ngFor="let city of filteredOptions | async"
                      [value]="city.LocalizedName + ' - ' + city.Country.LocalizedName">
            {{city.LocalizedName + '-' + city.Country.LocalizedName}}
          </mat-option>
        </mat-autocomplete>
      </mat-form-field>
    </form>
    <button class="search-button" mat-raised-button color="primary" (click)="queryLocation()">Search</button>
  </div>
  <div class="weather-container" *ngIf="city && mainWeather">
    <div class="main-weather-container">
      <mat-card class="main-weather">
        <mat-card-header>
          <div mat-card-avatar class="header-image"></div>
          <mat-card-title>{{city.LocalizedName}}</mat-card-title>
          <mat-card-subtitle>{{city.Country.LocalizedName}}</mat-card-subtitle>
        </mat-card-header>
        <mat-card-content class="weather-card-container">
          <div class="weather-card-date-container">
            <p>{{mainWeather.day}}</p>
            <p>{{mainWeather.date}}</p>
          </div>
          <div class="weather-card-description-container">
            <p>Condition: {{mainWeather.description}}</p>
          </div>
          <div class="weather-card-temperature-container">
            <div class="weather-maximum">
              <p>{{mainWeather.temperature.maximum}}&deg;</p>
            </div>
            <div class="weather-minimum">
              <p>{{mainWeather.temperature.minimum}}&deg;</p>
            </div>
          </div>
        </mat-card-content>
        <mat-card-actions>
          <div class="weather-actions">
            <mat-icon matSuffix color="primary">star</mat-icon>
            <p (click)="changeFavouriteStatus()" class="link-hover-cursor">
              {{isFavourite ? 'Unfavourite' : 'Favourite'}}
            </p>
          </div>
        </mat-card-actions>
      </mat-card>
    </div>
    <div class="all-weather-container">
      <mat-card class="all-weather" *ngFor="let data of weather">
        <mat-card-header>
          <div mat-card-avatar class="header-image"></div>
          <mat-card-title>{{city.LocalizedName}}</mat-card-title>
          <mat-card-subtitle>{{city.Country.LocalizedName}}</mat-card-subtitle>
        </mat-card-header>
        <mat-card-content class="weather-card-container">
          <div class="weather-card-date-container">
            <p>{{data.day}}</p>
            <p>{{data.date}}</p>
          </div>
          <div class="weather-card-description-container">
            <p>Condition: {{data.description}}</p>
          </div>
          <div class="weather-card-temperature-container">
            <div class="weather-maximum">
              <p>{{data.temperature.maximum}}&deg;</p>
            </div>
            <div class="weather-minimum">
              <p>{{data.temperature.minimum}}&deg;</p>
            </div>
          </div>
        </mat-card-content>
      </mat-card>
    </div>
  </div>
</div>
